Package com.ocient.jdbc.proto

# Class ClientWireProtocol.SysQueriesRow.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.SysQueriesRow.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.SysQueriesRowOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.SysQueriesRow

    public static final class ClientWireProtocol.SysQueriesRow.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>
    implements ClientWireProtocol.SysQueriesRowOrBuilder

Protobuf type `xg.cmdcomp.SysQueriesRow`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.SysQueriesRow.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.SysQueriesRow` | `build()` |
`ClientWireProtocol.SysQueriesRow` | `buildPartial()` |
`ClientWireProtocol.SysQueriesRow.Builder` | `clear()` |
`ClientWireProtocol.SysQueriesRow.Builder` | `clearDatabase()` | `string database = 9;`
`ClientWireProtocol.SysQueriesRow.Builder` | `clearElapsedTimeSec()` | `int32 elapsed_time_sec = 6;`
`ClientWireProtocol.SysQueriesRow.Builder` | `clearEstimatedTimeSec()` | `int32 estimated_time_sec = 3;`
`ClientWireProtocol.SysQueriesRow.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.SysQueriesRow.Builder` | `clearImportance()` | `float importance = 2;`
`ClientWireProtocol.SysQueriesRow.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.SysQueriesRow.Builder` | `clearQueryId()` | `string query_id = 1;`
`ClientWireProtocol.SysQueriesRow.Builder` | `clearQueryServer()` | `string query_server = 8;`
`ClientWireProtocol.SysQueriesRow.Builder` | `clearSqlText()` | `string sql_text = 5;`
`ClientWireProtocol.SysQueriesRow.Builder` | `clearStatus()` | `string status = 7;`
`ClientWireProtocol.SysQueriesRow.Builder` | `clearUserid()` | `string userid = 4;`
`ClientWireProtocol.SysQueriesRow.Builder` | `clone()` |
`String` | `getDatabase()` | `string database = 9;`
`com.google.protobuf.ByteString` | `getDatabaseBytes()` | `string database = 9;`
`ClientWireProtocol.SysQueriesRow` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`int` | `getElapsedTimeSec()` | `int32 elapsed_time_sec = 6;`
`int` | `getEstimatedTimeSec()` | `int32 estimated_time_sec = 3;`
`float` | `getImportance()` | `float importance = 2;`
`String` | `getQueryId()` | `string query_id = 1;`
`com.google.protobuf.ByteString` | `getQueryIdBytes()` | `string query_id = 1;`
`String` | `getQueryServer()` | `string query_server = 8;`
`com.google.protobuf.ByteString` | `getQueryServerBytes()` | `string query_server = 8;`
`String` | `getSqlText()` | `string sql_text = 5;`
`com.google.protobuf.ByteString` | `getSqlTextBytes()` | `string sql_text = 5;`
`String` | `getStatus()` | `string status = 7;`
`com.google.protobuf.ByteString` | `getStatusBytes()` | `string status = 7;`
`String` | `getUserid()` | `string userid = 4;`
`com.google.protobuf.ByteString` | `getUseridBytes()` | `string userid = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.SysQueriesRow.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.SysQueriesRow.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.SysQueriesRow.Builder` | `mergeFrom​(ClientWireProtocol.SysQueriesRow other)` |
`ClientWireProtocol.SysQueriesRow.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.SysQueriesRow.Builder` | `setDatabase​(String value)` | `string database = 9;`
`ClientWireProtocol.SysQueriesRow.Builder` | `setDatabaseBytes​(com.google.protobuf.ByteString value)` | `string database = 9;`
`ClientWireProtocol.SysQueriesRow.Builder` | `setElapsedTimeSec​(int value)` | `int32 elapsed_time_sec = 6;`
`ClientWireProtocol.SysQueriesRow.Builder` | `setEstimatedTimeSec​(int value)` | `int32 estimated_time_sec = 3;`
`ClientWireProtocol.SysQueriesRow.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.SysQueriesRow.Builder` | `setImportance​(float value)` | `float importance = 2;`
`ClientWireProtocol.SysQueriesRow.Builder` | `setQueryId​(String value)` | `string query_id = 1;`
`ClientWireProtocol.SysQueriesRow.Builder` | `setQueryIdBytes​(com.google.protobuf.ByteString value)` | `string query_id = 1;`
`ClientWireProtocol.SysQueriesRow.Builder` | `setQueryServer​(String value)` | `string query_server = 8;`
`ClientWireProtocol.SysQueriesRow.Builder` | `setQueryServerBytes​(com.google.protobuf.ByteString value)` | `string query_server = 8;`
`ClientWireProtocol.SysQueriesRow.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.SysQueriesRow.Builder` | `setSqlText​(String value)` | `string sql_text = 5;`
`ClientWireProtocol.SysQueriesRow.Builder` | `setSqlTextBytes​(com.google.protobuf.ByteString value)` | `string sql_text = 5;`
`ClientWireProtocol.SysQueriesRow.Builder` | `setStatus​(String value)` | `string status = 7;`
`ClientWireProtocol.SysQueriesRow.Builder` | `setStatusBytes​(com.google.protobuf.ByteString value)` | `string status = 7;`
`ClientWireProtocol.SysQueriesRow.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.SysQueriesRow.Builder` | `setUserid​(String value)` | `string userid = 4;`
`ClientWireProtocol.SysQueriesRow.Builder` | `setUseridBytes​(com.google.protobuf.ByteString value)` | `string userid = 4;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### clear

public ClientWireProtocol.SysQueriesRow.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.SysQueriesRow getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.SysQueriesRow build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.SysQueriesRow buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.SysQueriesRow.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### setField

public ClientWireProtocol.SysQueriesRow.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### clearField

public ClientWireProtocol.SysQueriesRow.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### clearOneof

public ClientWireProtocol.SysQueriesRow.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### setRepeatedField

public ClientWireProtocol.SysQueriesRow.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### addRepeatedField

public ClientWireProtocol.SysQueriesRow.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### mergeFrom

public ClientWireProtocol.SysQueriesRow.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### mergeFrom

public ClientWireProtocol.SysQueriesRow.Builder mergeFrom​(ClientWireProtocol.SysQueriesRow other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### mergeFrom

public ClientWireProtocol.SysQueriesRow.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SysQueriesRow.Builder>`
Throws:
  `IOException`

### getQueryId

public String getQueryId()
`string query_id = 1;`

Specified by:
  `getQueryId` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`

### getQueryIdBytes

public com.google.protobuf.ByteString getQueryIdBytes()
`string query_id = 1;`

Specified by:
  `getQueryIdBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`

### setQueryId

public ClientWireProtocol.SysQueriesRow.Builder setQueryId​(String value)
`string query_id = 1;`

### clearQueryId

public ClientWireProtocol.SysQueriesRow.Builder clearQueryId()
`string query_id = 1;`

### setQueryIdBytes

public ClientWireProtocol.SysQueriesRow.Builder setQueryIdBytes​(com.google.protobuf.ByteString value)
`string query_id = 1;`

### getImportance

public float getImportance()
`float importance = 2;`

Specified by:
  `getImportance` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`

### setImportance

public ClientWireProtocol.SysQueriesRow.Builder setImportance​(float value)
`float importance = 2;`

### clearImportance

public ClientWireProtocol.SysQueriesRow.Builder clearImportance()
`float importance = 2;`

### getEstimatedTimeSec

public int getEstimatedTimeSec()
`int32 estimated_time_sec = 3;`

Specified by:
  `getEstimatedTimeSec` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`

### setEstimatedTimeSec

public ClientWireProtocol.SysQueriesRow.Builder setEstimatedTimeSec​(int value)
`int32 estimated_time_sec = 3;`

### clearEstimatedTimeSec

public ClientWireProtocol.SysQueriesRow.Builder clearEstimatedTimeSec()
`int32 estimated_time_sec = 3;`

### getUserid

public String getUserid()
`string userid = 4;`

Specified by:
  `getUserid` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`

### getUseridBytes

public com.google.protobuf.ByteString getUseridBytes()
`string userid = 4;`

Specified by:
  `getUseridBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`

### setUserid

public ClientWireProtocol.SysQueriesRow.Builder setUserid​(String value)
`string userid = 4;`

### clearUserid

public ClientWireProtocol.SysQueriesRow.Builder clearUserid()
`string userid = 4;`

### setUseridBytes

public ClientWireProtocol.SysQueriesRow.Builder setUseridBytes​(com.google.protobuf.ByteString value)
`string userid = 4;`

### getSqlText

public String getSqlText()
`string sql_text = 5;`

Specified by:
  `getSqlText` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`

### getSqlTextBytes

public com.google.protobuf.ByteString getSqlTextBytes()
`string sql_text = 5;`

Specified by:
  `getSqlTextBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`

### setSqlText

public ClientWireProtocol.SysQueriesRow.Builder setSqlText​(String value)
`string sql_text = 5;`

### clearSqlText

public ClientWireProtocol.SysQueriesRow.Builder clearSqlText()
`string sql_text = 5;`

### setSqlTextBytes

public ClientWireProtocol.SysQueriesRow.Builder setSqlTextBytes​(com.google.protobuf.ByteString value)
`string sql_text = 5;`

### getElapsedTimeSec

public int getElapsedTimeSec()
`int32 elapsed_time_sec = 6;`

Specified by:
  `getElapsedTimeSec` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`

### setElapsedTimeSec

public ClientWireProtocol.SysQueriesRow.Builder setElapsedTimeSec​(int value)
`int32 elapsed_time_sec = 6;`

### clearElapsedTimeSec

public ClientWireProtocol.SysQueriesRow.Builder clearElapsedTimeSec()
`int32 elapsed_time_sec = 6;`

### getStatus

public String getStatus()
`string status = 7;`

Specified by:
  `getStatus` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`

### getStatusBytes

public com.google.protobuf.ByteString getStatusBytes()
`string status = 7;`

Specified by:
  `getStatusBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`

### setStatus

public ClientWireProtocol.SysQueriesRow.Builder setStatus​(String value)
`string status = 7;`

### clearStatus

public ClientWireProtocol.SysQueriesRow.Builder clearStatus()
`string status = 7;`

### setStatusBytes

public ClientWireProtocol.SysQueriesRow.Builder setStatusBytes​(com.google.protobuf.ByteString value)
`string status = 7;`

### getQueryServer

public String getQueryServer()
`string query_server = 8;`

Specified by:
  `getQueryServer` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`

### getQueryServerBytes

public com.google.protobuf.ByteString getQueryServerBytes()
`string query_server = 8;`

Specified by:
  `getQueryServerBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`

### setQueryServer

public ClientWireProtocol.SysQueriesRow.Builder setQueryServer​(String value)
`string query_server = 8;`

### clearQueryServer

public ClientWireProtocol.SysQueriesRow.Builder clearQueryServer()
`string query_server = 8;`

### setQueryServerBytes

public ClientWireProtocol.SysQueriesRow.Builder setQueryServerBytes​(com.google.protobuf.ByteString value)
`string query_server = 8;`

### getDatabase

public String getDatabase()
`string database = 9;`

Specified by:
  `getDatabase` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`

### getDatabaseBytes

public com.google.protobuf.ByteString getDatabaseBytes()
`string database = 9;`

Specified by:
  `getDatabaseBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`

### setDatabase

public ClientWireProtocol.SysQueriesRow.Builder setDatabase​(String value)
`string database = 9;`

### clearDatabase

public ClientWireProtocol.SysQueriesRow.Builder clearDatabase()
`string database = 9;`

### setDatabaseBytes

public ClientWireProtocol.SysQueriesRow.Builder setDatabaseBytes​(com.google.protobuf.ByteString value)
`string database = 9;`

### setUnknownFields

public final ClientWireProtocol.SysQueriesRow.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.SysQueriesRow.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`